net.minecraft.tileentity

## Class TileEntityBrewingStand

- java.lang.Object
- - net.minecraft.tileentity.TileEntity
  - - net.minecraft.tileentity.TileEntityBrewingStand

- All Implemented Interfaces:
    IInventory, ISidedInventory

      public class TileEntityBrewingStand
      extends TileEntity
      implements ISidedInventory

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.tileentity.TileEntity

      `blockMetadata, blockType, INFINITE_EXTENT_AABB, tileEntityInvalid, worldObj, xCoord, yCoord, zCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntityBrewingStand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canExtractItem(int par1, ItemStack par2ItemStack, int par3)`
    `boolean` | `canInsertItem(int par1, ItemStack par2ItemStack, int par3)`
    `void` | `closeInventory()`
    `ItemStack` | `decrStackSize(int par1, int par2)`
    `void` | `func_145937_a(java.lang.String p_145937_1_)`
    `void` | `func_145938_d(int p_145938_1_)`
    `int[]` | `getAccessibleSlotsFromSide(int par1)`
    `int` | `getBrewTime()`
    `int` | `getFilledSlots()`
    `java.lang.String` | `getInventoryName()`
    `int` | `getInventoryStackLimit()`
    `int` | `getSizeInventory()`
    `ItemStack` | `getStackInSlot(int par1)`
    `ItemStack` | `getStackInSlotOnClosing(int par1)`
    `boolean` | `hasCustomInventoryName()`
    `boolean` | `isItemValidForSlot(int par1, ItemStack par2ItemStack)`
    `boolean` | `isUseableByPlayer(EntityPlayer par1EntityPlayer)`
    `void` | `openInventory()`
    `void` | `readFromNBT(NBTTagCompound p_145839_1_)`
    `void` | `setInventorySlotContents(int par1, ItemStack par2ItemStack)`
    `void` | `updateEntity()`
    `void` | `writeToNBT(NBTTagCompound p_145841_1_)`

    - ### Methods inherited from class net.minecraft.tileentity.TileEntity

      `addMapping, canUpdate, createAndLoadEntity, func_145828_a, getBlockMetadata, getBlockType, getDescriptionPacket, getDistanceFrom, getMaxRenderDistanceSquared, getRenderBoundingBox, getWorldObj, hasWorldObj, invalidate, isInvalid, markDirty, onChunkUnload, onDataPacket, receiveClientEvent, setWorldObj, shouldRefresh, shouldRenderInPass, updateContainingBlockInfo, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.inventory.IInventory

      `markDirty`

- - ### Constructor Detail

    - #### TileEntityBrewingStand

          public TileEntityBrewingStand()

  - ### Method Detail

    - #### getInventoryName

          public java.lang.String getInventoryName()

      Specified by:
        `getInventoryName` in interface `IInventory`

    - #### hasCustomInventoryName

          public boolean hasCustomInventoryName()

      Specified by:
        `hasCustomInventoryName` in interface `IInventory`

    - #### func_145937_a

          public void func_145937_a(java.lang.String p_145937_1_)

    - #### getSizeInventory

          public int getSizeInventory()

      Specified by:
        `getSizeInventory` in interface `IInventory`

    - #### updateEntity

          public void updateEntity()

      Overrides:
        `updateEntity` in class `TileEntity`

    - #### getBrewTime

          public int getBrewTime()

    - #### readFromNBT

          public void readFromNBT(NBTTagCompound p_145839_1_)

      Overrides:
        `readFromNBT` in class `TileEntity`

    - #### writeToNBT

          public void writeToNBT(NBTTagCompound p_145841_1_)

      Overrides:
        `writeToNBT` in class `TileEntity`

    - #### getStackInSlot

          public ItemStack getStackInSlot(int par1)

      Specified by:
        `getStackInSlot` in interface `IInventory`

    - #### decrStackSize

          public ItemStack decrStackSize(int par1,
                                int par2)

      Specified by:
        `decrStackSize` in interface `IInventory`

    - #### getStackInSlotOnClosing

          public ItemStack getStackInSlotOnClosing(int par1)

      Specified by:
        `getStackInSlotOnClosing` in interface `IInventory`

    - #### setInventorySlotContents

          public void setInventorySlotContents(int par1,
                                      ItemStack par2ItemStack)

      Specified by:
        `setInventorySlotContents` in interface `IInventory`

    - #### getInventoryStackLimit

          public int getInventoryStackLimit()

      Specified by:
        `getInventoryStackLimit` in interface `IInventory`

    - #### isUseableByPlayer

          public boolean isUseableByPlayer(EntityPlayer par1EntityPlayer)

      Specified by:
        `isUseableByPlayer` in interface `IInventory`

    - #### openInventory

          public void openInventory()

      Specified by:
        `openInventory` in interface `IInventory`

    - #### closeInventory

          public void closeInventory()

      Specified by:
        `closeInventory` in interface `IInventory`

    - #### isItemValidForSlot

          public boolean isItemValidForSlot(int par1,
                                   ItemStack par2ItemStack)

      Specified by:
        `isItemValidForSlot` in interface `IInventory`

    - #### func_145938_d

          public void func_145938_d(int p_145938_1_)

    - #### getFilledSlots

          public int getFilledSlots()

    - #### getAccessibleSlotsFromSide

          public int[] getAccessibleSlotsFromSide(int par1)

      Specified by:
        `getAccessibleSlotsFromSide` in interface `ISidedInventory`

    - #### canInsertItem

          public boolean canInsertItem(int par1,
                              ItemStack par2ItemStack,
                              int par3)

      Specified by:
        `canInsertItem` in interface `ISidedInventory`

    - #### canExtractItem

          public boolean canExtractItem(int par1,
                               ItemStack par2ItemStack,
                               int par3)

      Specified by:
        `canExtractItem` in interface `ISidedInventory`